Package org.alfresco.rest.api.tags
Class TagsEntityResource
java.lang.Object
org.alfresco.rest.api.tags.TagsEntityResource
- All Implemented Interfaces:
EntityResourceAction.Create<Tag>,EntityResourceAction.Delete,EntityResourceAction.Read<Tag>,EntityResourceAction.ReadById<Tag>,EntityResourceAction.Update<Tag>,ResourceAction,org.springframework.beans.factory.InitializingBean
@EntityResource(name="tags",
title="Tags")
public class TagsEntityResource
extends Object
implements EntityResourceAction.Read<Tag>, EntityResourceAction.ReadById<Tag>, EntityResourceAction.Update<Tag>, EntityResourceAction.Create<Tag>, EntityResourceAction.Delete, org.springframework.beans.factory.InitializingBean
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionvoidcreate(List<Tag> tags, Parameters parameters) POST /tagsvoiddelete(String id, Parameters parameters) readAll(Parameters parameters) Returns a paged list of all currently used tags in the store workspace://SpacesStore for the current tenant.readById(String id, Parameters parameters) voidupdate(String id, Tag entity, Parameters parameters)
-
Constructor Details
-
TagsEntityResource
public TagsEntityResource()
-
-
Method Details
-
setTags
-
afterPropertiesSet
public void afterPropertiesSet()- Specified by:
afterPropertiesSetin interfaceorg.springframework.beans.factory.InitializingBean
-
readAll
Returns a paged list of all currently used tags in the store workspace://SpacesStore for the current tenant. GET /tags- Specified by:
readAllin interfaceEntityResourceAction.Read<Tag>- Parameters:
parameters- - will never be null and will have the PAGING default values
-
update
- Specified by:
updatein interfaceEntityResourceAction.Update<Tag>
-
readById
- Specified by:
readByIdin interfaceEntityResourceAction.ReadById<Tag>- Throws:
EntityNotFoundException
-
create
POST /tags- Specified by:
createin interfaceEntityResourceAction.Create<Tag>
-
delete
- Specified by:
deletein interfaceEntityResourceAction.Delete
-